﻿using System;
using System.Collections.Generic;

namespace AdmCloudInterface.Models
{
    public class Account
    {
        public Guid ID { get; set; }
        public string Code { get; set; }
        public string Name { get; set; }
        public string FullName { get; set; }
        public int AccountClassID { get; set; }
        public bool IsCashAccount { get; set; }
        public string AccountClassName { get; set; }
        public string AccountType { get; set; }
        public string AccountTypeName { get; set; }
        public int AccountTypeID { get; set; }
        public object GroupID { get; set; }
        public object Notes { get; set; }
        public bool Inactive { get; set; }
        public object ExpenseTypeID { get; set; }
        public object CurrencyID { get; set; }
        public bool GroupAccount { get; set; }
        public object ParentAccountID { get; set; }
        public object SubsidiaryID { get; set; }
        public int GoodOrService { get; set; }
        public object BankAccountNumber { get; set; }
        public object BankName { get; set; }
        public object BankFiscalID { get; set; }
        public bool AutoNumberChecks { get; set; }
        public int NextCheckNumber { get; set; }
        public int BankAccountType { get; set; }
        public object CheckFormatID { get; set; }
        public object SubsidiaryName { get; set; }
        public int ExchangeRate { get; set; }
        public List<object> CustomFields { get; set; }
        public List<object> Subsidiaries { get; set; }
    }
}
