﻿using System;
using System.Collections.Generic;

namespace AdmCloudInterface.Models
{
    public class Item
    {
        public string ID { get; set; }
        public string SKU { get; set; }
        public string Name { get; set; }
        public object SalesDescription { get; set; }
        public object PurchaseDescription { get; set; }
        public string ItemType { get; set; }
        public object BarCode { get; set; }
        public object ItemClassID { get; set; }
        public string UOMPlanID { get; set; }
        public string PurchaseUOMID { get; set; }
        public string SalesUOMID { get; set; }
        public string ReportUOMID { get; set; }
        public object ReportUOMName { get; set; }
        public bool Inactive { get; set; }
        public object Notes { get; set; }
        public bool RequiresLots { get; set; }
        public bool Serializable { get; set; }
        public bool RequiresBins { get; set; }
        public bool Assembly { get; set; }
        public int Weight { get; set; }
        public object WeightUOM { get; set; }
        public object TaxScheduleID { get; set; }
        public object OriginID { get; set; }
        public bool ProductionItem { get; set; }
        public bool RawMaterial { get; set; }
        public bool SalesItem { get; set; }
        public bool PurchaseItem { get; set; }
        public bool SparePart { get; set; }
        public object WebStore { get; set; }
        public object WebStoreDescription { get; set; }
        public object WebStoreDetailedDescription { get; set; }
        public object ItemFamilyID { get; set; }
        public object WebStoreImage { get; set; }
        public object BrandID { get; set; }
        public int Height { get; set; }
        public int Width { get; set; }
        public object DimensionsUOM { get; set; }
        public int PurchasePrice { get; set; }
        public object PurchasePriceCurrencyID { get; set; }
        public int Cost { get; set; }
        public object Sales_AccountID { get; set; }
        public object Inventory_AccountID { get; set; }
        public object Cost_Sales_AccountID { get; set; }
        public object Sales_Discount_AccountID { get; set; }
        public object Sales_Returns_AccountID { get; set; }
        public object Adjustments_AccountID { get; set; }
        public object Attribute1ID { get; set; }
        public object Attribute2ID { get; set; }
        public List<object> AttributeOptions { get; set; }
        public List<object> Prices { get; set; }
        public List<object> Locations { get; set; }
        public List<object> Bins { get; set; }
        public List<object> Vendors { get; set; }
        public List<object> CustomFields { get; set; }
        public List<object> Files { get; set; }
        public List<object> Activities { get; set; }
        public List<object> Subsidiaries { get; set; }
    }
}
