﻿using System;
using System.Collections.Generic;

namespace AdmCloudInterface.Models
{
    public class Project_File
    {
        public string Uri { get; set; }
        public string Name { get; set; }
        public string CustomerName { get; set; }
    }

    public class Project
    {
        public Guid ID { get; set; }
        public object SubsidiaryID { get; set; }
        public string Name { get; set; }
        public object Notes { get; set; }
        public string RelationshipID { get; set; }
        public string Manager { get; set; }
        public object BeginDate { get; set; }
        public object EndDate { get; set; }
        public object PO { get; set; }
        public object JobClassID { get; set; }
        public int Status { get; set; }
        public object CurrencyID { get; set; }
        public string CustomerName { get; set; }
        public string CustomerAndName { get; set; }
        public List<object> Budget { get; set; }
        public List<object> Tasks { get; set; }
        public List<object> Items { get; set; }
        public List<object> Activities { get; set; }
        public List<object> CustomFields { get; set; }

        public List<Project_File> Files = new List<Project_File>();
    }
}
