﻿using System;

namespace AdmCloudInterface.Models
{
    public class CustomerFromList
    {
        public Guid ID { get; set; }
        public string Name { get; set; }
        public object FirstName { get; set; }
        public object LastName { get; set; }
        public bool IsCustomer { get; set; }
        public bool IsEmployee { get; set; }
        public bool IsVendor { get; set; }
        public bool IsPartner { get; set; }
        public object Phone1 { get; set; }
        public object Phone2 { get; set; }
        public object Fax { get; set; }
        public string EMail { get; set; }
        public object Notes { get; set; }
        public bool Inactive { get; set; }
        public object FiscalID { get; set; }
        public int FiscalIDType { get; set; }
        public int DiscountPercent { get; set; }
        public object WebPage { get; set; }
        public object Facebook { get; set; }
        public object Twitter { get; set; }
        public object GooglePlus { get; set; }
        public object LinkedIn { get; set; }
        public object PaymentTermID { get; set; }
        public int EmployeeQuantity { get; set; }
        public int PotentialVolume { get; set; }
        public object Profile { get; set; }
        public string CurrencyID { get; set; }
        public object TaxScheduleID { get; set; }
        public object TaxRetentionGroupID { get; set; }
        public object ComercialName { get; set; }
        public object BusinessActivity { get; set; }
        public object ParentRelationshipID { get; set; }
        public int CreditLimit { get; set; }
        public object SalesTerritoryID { get; set; }
        public int Conditions { get; set; }
        public object CustomerClassID { get; set; }
        public string SalesRepID { get; set; }
        public string PriceLevelID { get; set; }
        public bool Prospect { get; set; }
        public object StatusID { get; set; }
        public object ItemClassID { get; set; }
        public int Sales_NCF_Sequence { get; set; }
        public object SalesFiscalSequenceTypeID { get; set; }
        public int PaymentMethodID { get; set; }
        public object BankAccountID { get; set; }
        public int BankAccountType { get; set; }
        public object BankAccountNumber { get; set; }
        public object VendorClassID { get; set; }
        public int Purchase_NCF_Sequence { get; set; }
        public object PurchasesFiscalSequenceTypeID { get; set; }
        public bool IsSalesRep { get; set; }
        public bool IsTechnitian { get; set; }
        public bool IsMechanic { get; set; }
        public bool IsManufacturingOperator { get; set; }
        public int HourCost { get; set; }
        public object EmissionPointID { get; set; }
        public object EmployeeClassID { get; set; }
        public bool AllowAccess { get; set; }
        public object AccessControlCardID { get; set; }
        public object ARAccountID { get; set; }
        public object APAccountID { get; set; }
        public object PurchaseTransitAccountID { get; set; }
        public object ReimbursementsAccountID { get; set; }
        public object Image { get; set; }
        public bool LimitLoginDevices { get; set; }
        public bool LimitLoginHours { get; set; }
        public int LoginFromHour { get; set; }
        public int LoginToHour { get; set; }
        public bool Allow_Monday { get; set; }
        public bool Allow_Tuesday { get; set; }
        public bool Allow_Wednesday { get; set; }
        public bool Allow_Thursday { get; set; }
        public bool Allow_Friday { get; set; }
        public bool Allow_Saturday { get; set; }
        public bool Allow_Sunday { get; set; }
        public string FullName { get; set; }
        public object ImageName { get; set; }
        public object ImageUri { get; set; }
    }
}
